
package de.ivu.elect.business.ergebnis.control;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisDAO;
import de.ivu.elect.business.ergebnis.entity.Sitze;
import de.ivu.elect.business.gebietsbaum.boundary.GebietDAO;
import de.ivu.elect.business.gruppe.boundary.GruppeDAO;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietDAO;

public class SitzeCreate extends AbstractSitzeCreate {

  private static final long serialVersionUID = 1L;

  @Inject
  ErgebnisDAO ergebnisDAO;

  @Inject
  GruppeImGebietDAO gruppeImGebietDAO;

  @Inject
  GruppeDAO gruppeDAO;

  @Inject
  GebietDAO gebietDAO;

  @Override
  public void save(Sitze entity) {
    entity.setErgebnis(ergebnisDAO.attach(entity.getErgebnis()));
    entity.setGebiet(gebietDAO.attach(entity.getGebiet()));
    entity.setGruppe(gruppeDAO.attach(entity.getGruppe()));

    super.save(entity);
  }
}
